DROP TABLE IF EXISTS cpo_block;
CREATE TABLE cpo_block ( id int(8) NOT NULL auto_increment, article_id int(8) default NULL, article_nr varchar(20) default NULL, create_date bigint(21) default NULL, creator varchar(255) default NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_files;
CREATE TABLE cpo_files ( id int(11) NOT NULL auto_increment, size int(11) default NULL, beschreibung text, alttext varchar(255) default NULL, datum bigint(21) default NULL, type varchar(30) default NULL, datei varchar(255) default NULL, user varchar(255) default NULL, name varchar(255) default NULL, kategorie varchar(255) default NULL, timestamp timestamp(14) NOT NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_images;
CREATE TABLE cpo_images ( id int(11) NOT NULL auto_increment, size int(11) default NULL, beschreibung text, alttext varchar(255) default NULL, datum bigint(21) default NULL, type varchar(30) default NULL, datei varchar(255) default NULL, user varchar(255) default NULL, name varchar(255) default NULL, kategorie varchar(255) default NULL, timestamp timestamp(14) NOT NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_log;
CREATE TABLE cpo_log ( id int(8) NOT NULL auto_increment, user varchar(50) default NULL, datum bigint(21) default NULL, aktion varchar(255) default NULL, bemerkung varchar(255) default NULL, timestamp timestamp(14) NOT NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_news;
CREATE TABLE cpo_news ( nr int(8) NOT NULL auto_increment, artikel_archiv int(1) default NULL, article_nr varchar(20) default NULL, kategorie varchar(255) default NULL, search int(1) default NULL, template varchar(100) default NULL, titel varchar(255) default NULL, titel_link varchar(255) default NULL, titel_target varchar(25) default NULL, untertitel text, untertitel_link varchar(255) default NULL, untertitel_target varchar(25) default NULL, text_1 text, text_1_target varchar(25) default NULL, html_1 int(1) default NULL, text_2 text, text_2_target varchar(25) default NULL, html_2 int(1) default NULL, text_3 text, text_3_target varchar(25) default NULL, html_3 int(1) default NULL, bild varchar(255) default NULL, bild_link varchar(255) default NULL, bild_target varchar(25) default NULL, datei_name varchar(255) default NULL, datei_desc varchar(255) default NULL, datei_prolog varchar(255) default NULL, link_1 varchar(255) default NULL, link_text_1 varchar(255) default NULL, link_target_1 varchar(25) default NULL, link_2 varchar(255) default NULL, link_text_2 varchar(255) default NULL, link_target_2 varchar(25) default NULL, link_3 varchar(255) default NULL, link_text_3 varchar(255) default NULL, link_target_3 varchar(25) default NULL, datum bigint(21) default NULL, verfallsdatum bigint(21) default NULL, pub_datum bigint(21) default NULL, autor varchar(255) default NULL, email varchar(255) default NULL, initial varchar(4) default NULL, mehr varchar(100) default NULL, more_target varchar(25) default NULL, idx varchar(6) default NULL, freigabe int(1) default '2', freigabe_name varchar(255) default NULL, freigabe_datum bigint(21) default NULL, timestamp timestamp(14) NOT NULL, last_modify bigint(21) default NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, sort_id bigint(25) default NULL, PRIMARY KEY  (nr) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_option;
CREATE TABLE cpo_option ( id int(10) NOT NULL auto_increment, project varchar(255) default NULL, release int(1) default NULL, release_email int(1) default NULL, system_email varchar(100) default NULL, admin_email varchar(100) default NULL, timeout int(5) default NULL, max_image int(10) default NULL, max_file int(10) default NULL, article_width varchar(5) default NULL, language varchar(25) default NULL, base_url varchar(255) default NULL, lkey text, owner varchar(255) default NULL, send_pw int(1) default NULL, help int(1) default NULL, startnews int(1) default NULL, target varchar(255) default NULL, timestamp timestamp(14) NOT NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_permission;
CREATE TABLE cpo_permission ( id int(11) NOT NULL auto_increment, user_id varchar(25) default NULL, kategorie varchar(255) default NULL, name varchar(100) default NULL, zuordnung int(8) NOT NULL default '0', stufe1 int(1) NOT NULL default '0', stufe2 int(1) NOT NULL default '0', stufe3 int(1) NOT NULL default '0', stufe4 int(1) NOT NULL default '0', timestamp timestamp(14) NOT NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_rubric;
CREATE TABLE cpo_rubric ( id int(10) NOT NULL auto_increment, rubrik varchar(100) default NULL, header varchar(100) default NULL, header_view int(1) default NULL, name varchar(100) default NULL, zuordnung int(8) NOT NULL default '0', standard int(1) NOT NULL default '1', nodata varchar(255) default NULL, language varchar(25) default NULL, art_number int(3) default NULL, standard_template varchar(100) default NULL, feld_edit_index int(1) default NULL, feld_index int(1) default NULL, feld_detail_index int(1) default NULL, feld_edit_title int(1) default NULL, feld_title int(1) default NULL, feld_detail_title int(1) default NULL, feld_edit_title_link int(1) default NULL, feld_title_link int(1) default NULL, feld_detail_title_link int(1) default NULL, feld_edit_title_target int(1) default NULL, feld_title_target int(1) default NULL, feld_detail_title_target int(1) default NULL, feld_title_more int(1) default NULL, feld_edit_utitle int(1) default NULL, feld_utitle int(1) default NULL, feld_detail_utitle int(1) default NULL, feld_edit_utitle_link int(1) default NULL, feld_utitle_link int(1) default NULL, feld_detail_utitle_link int(1) default NULL, feld_edit_utitle_target int(1) default NULL, feld_utitle_target int(1) default NULL, feld_detail_utitle_target int(1) default NULL, feld_edit_text_1 int(1) default NULL, feld_text_1 int(1) default NULL, feld_detail_text_1 int(1) default NULL, feld_edit_weiter int(1) default NULL, feld_weiter int(1) default NULL, feld_more_target int(1) default NULL, feld_edit_text_2 int(1) default NULL, feld_text_2 int(1) default NULL, feld_detail_text_2 int(1) default NULL, feld_edit_text_3 int(1) default NULL, feld_text_3 int(1) default NULL, feld_detail_text_3 int(1) default NULL, feld_edit_bild int(1) default NULL, feld_bild int(1) default NULL, feld_detail_bild int(1) default NULL, feld_edit_bild_link int(1) default NULL, feld_bild_link int(1) default NULL, feld_detail_bild_link int(1) default NULL, feld_edit_bild_desc int(1) default NULL, feld_bild_desc int(1) default NULL, feld_detail_bild_desc int(1) default NULL, feld_edit_file int(1) default NULL, feld_file int(1) default NULL, feld_detail_file int(1) default NULL, feld_edit_file_desc int(1) default NULL, feld_file_desc int(1) default NULL, feld_detail_file_desc int(1) default NULL, feld_file_prolog int(1) default NULL, feld_edit_link_1 int(1) default NULL, feld_link_1 int(1) default NULL, feld_detail_link_1 int(1) default NULL, feld_edit_link_text_1 int(1) default NULL, feld_link_text_1 int(1) default NULL, feld_detail_link_text_1 int(1) default NULL, feld_edit_link_2 int(1) default NULL, feld_link_2 int(1) default NULL, feld_detail_link_2 int(1) default NULL, feld_edit_link_text_2 int(1) default NULL, feld_link_text_2 int(1) default NULL, feld_detail_link_text_2 int(1) default NULL, feld_edit_link_3 int(1) default NULL, feld_link_3 int(1) default NULL, feld_detail_link_3 int(1) default NULL, feld_edit_link_text_3 int(1) default NULL, feld_link_text_3 int(1) default NULL, feld_detail_link_text_3 int(1) default NULL, feld_edit_autor int(1) default NULL, feld_autor int(1) default NULL, feld_detail_autor int(1) default NULL, feld_edit_email int(1) default NULL, feld_email int(1) default NULL, feld_detail_email int(1) default NULL, feld_edit_initial int(1) default NULL, feld_initial int(1) default NULL, feld_detail_initial int(1) default NULL, feld_datum int(1) default NULL, feld_detail_datum int(1) default NULL, feld_formdatum varchar(25) default NULL, editor int(1) default NULL, edit_bold int(1) default NULL, edit_italic int(1) default NULL, edit_underline int(1) default NULL, edit_hr int(1) default NULL, edit_justify int(1) default NULL, edit_indent int(1) default NULL, edit_list int(1) default NULL, edit_color int(1) default NULL, edit_fontface int(1) default NULL, edit_fontsize int(1) default NULL, edit_pic int(1) default NULL, edit_link int(1) default NULL, switch int(1) default NULL, separate int(1) default NULL, sep_window varchar(50) default NULL, archiv int(1) default NULL, archiv_text varchar(255) default NULL, archiv_header varchar(255) default NULL, search int(1) default NULL, timestamp timestamp(14) NOT NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_snippet;
CREATE TABLE cpo_snippet ( id int(8) NOT NULL auto_increment, name varchar(255) default NULL, rubrik varchar(255) default NULL, snippet text, lastmodify bigint(21) default NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_templates;
CREATE TABLE cpo_templates ( id int(8) NOT NULL auto_increment, template varchar(20) default NULL, name varchar(100) default NULL, tpl_first text, tpl_detail text, tpl_javascript text, lastmodify bigint(21) default NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_tpl_assignment;
CREATE TABLE cpo_tpl_assignment ( id int(8) NOT NULL auto_increment, rubrik varchar(255) default NULL, template varchar(255) default NULL, tmp_name varchar(100) default NULL, timestamp timestamp(14) NOT NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_tree;
CREATE TABLE cpo_tree ( id int(8) NOT NULL auto_increment, parent int(8) NOT NULL default '0', description varchar(200) NOT NULL default '0', timestamp timestamp(14) NOT NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS cpo_user;
CREATE TABLE cpo_user ( id int(11) NOT NULL auto_increment, user varchar(25) NOT NULL default '', email varchar(255) default NULL, language varchar(25) default NULL, admin int(1) NOT NULL default '0', passwd varchar(32) default NULL, name varchar(255) default NULL, initial varchar(4) default NULL, timestamp timestamp(14) NOT NULL, c_time datetime NOT NULL default '0000-00-00 00:00:00', changer varchar(255) default NULL, PRIMARY KEY  (id) ) TYPE=MyISAM;
